# eric7.Plugins.WizardPlugins.SetupWizard.SetupCfgUtilities

Module implementing some utility functions for setup.cfg creation.

### Global Attributes

None

### Classes

None

### Functions

_bool2string | Function to convert a bool value to a setup.cfg string.
_dict2list | Function to convert a dict value to a setup.cfg list string.
_dict2string | Function to convert a dict value to a setup.cfg string.
_list2string | Function to convert a list value to a setup.cfg string.
toString | Function to convert a value to a setup.cfg string.

## _bool2string

_bool2string(value)

Function to convert a bool value to a setup.cfg string.

value (bool)
  bool value to be converted

Return:
  setup.cfg string

Return Type:
  str

Up

## _dict2list

_dict2list(value)

Function to convert a dict value to a setup.cfg list string.

value (dict)
  dict value to be converted

Yield:
  setup.cfg string

Yield Type:
  str

Up

## _dict2string

_dict2string(value)

Function to convert a dict value to a setup.cfg string.

value (dict)
  dict value to be converted

Return:
  setup.cfg string

Return Type:
  str

Up

## _list2string

_list2string(value)

Function to convert a list value to a setup.cfg string.

value (list)
  list value to be converted

Return:
  setup.cfg string

Return Type:
  str

Up

## toString

toString(value)

Function to convert a value to a setup.cfg string.

value (bool, list, set, tuple or dict)
  value to be converted

Return:
  setup.cfg string

Return Type:
  str

Up